﻿Imports Infragistics.WebUI.UltraWebGrid
Imports System.Data

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        Dim valueList As New Infragistics.WebUI.UltraWebGrid.ValueList(True)

        UltraWebGrid1.DataSource = MakeTable()
        UltraWebGrid1.DataBind()

        valueList.Style.ForeColor = Drawing.Color.DarkRed


        valueList.ValueListItems.Add(1, "One")
        valueList.ValueListItems.Add(2, "Two")
        valueList.ValueListItems.Add(3, "Three")

        ' Set the ValueList to display its text
        valueList.DisplayStyle = ValueListDisplayStyle.DisplayText
        ' Set properties to allow the ValueList to appear in the WebGrid
        Me.UltraWebGrid1.DisplayLayout.Bands(0).Columns.FromKey("Data").Type = _
          ColumnType.DropDownList
        Me.UltraWebGrid1.DisplayLayout.CellClickActionDefault = CellClickAction.Edit
        Me.UltraWebGrid1.DisplayLayout.AllowUpdateDefault = AllowUpdate.Yes

        Me.UltraWebGrid1.DisplayLayout.Bands(0).Columns.FromKey("Data").ValueList = _
  valueList



    End Sub

    Private Function MakeTable() As Object
        ' Create a new DataTable.
        Dim table As System.Data.DataTable = New DataTable("Table")
        ' Declare variables for DataColumn and DataRow objects.
        Dim column As DataColumn
        Dim row As DataRow

        ' Create new DataColumn, set DataType, 
        ' ColumnName and add to DataTable.    
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.Int32")
        column.ColumnName = "id"
        column.[ReadOnly] = True
        ' Add the Column to the DataColumnCollection.
        table.Columns.Add(column)

        ' Create second column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.String")
        column.ColumnName = "Item"
        column.AutoIncrement = False
        column.Caption = "Item"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table. 
        table.Columns.Add(column)

        ' Create third column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.String")
        column.ColumnName = "Data"
        column.AutoIncrement = False
        column.Caption = "Data"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table.
        table.Columns.Add(column)


        ' Make the ID column the primary key column.
        Dim PrimaryKeyColumns As DataColumn() = New DataColumn(0) {}
        PrimaryKeyColumns(0) = table.Columns("id")
        table.PrimaryKey = PrimaryKeyColumns



        For i As Integer = 0 To 20
            row = table.NewRow()
            row("id") = i
            row("Item") = "Item " & i
            row("Data") = "Data " & i
            table.Rows.Add(row)
        Next
        Return table

    End Function

End Class
